<%--

    Copyright (C) 2010 OSGi fuer Praktiker <info@osgi-buch.com>

    Licensed under the Apache License, Version 2.0 (the "License");
    you may not use this file except in compliance with the License.
    You may obtain a copy of the License at

            http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.

--%>

<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="refresh" content="10">
<title>Web Monitor</title>
</head>
<body>
<h1>Web Monitor</h1>
<c:choose>
	<c:when test='${empty logEntryList}'>
		<p>Es konnten keine Logausgaben gefunden werden.</p>
	</c:when>
	<c:otherwise>
		<table>
			<tbody>
				<c:forEach items="${logEntryList}" var="logEntry">
					<tr><td><c:out value="${logEntry}" /></td></tr>
				</c:forEach>
			</tbody>
		</table>
	</c:otherwise>
</c:choose>
</body>
</html>